# Hostdisk

This element represents a disk drive of a [Host](/game-hosting/elements/host.md).

## Element structure

| Property           | Value type | Required  | Description                             |
| ------------------ | ---------- | --------- | --------------------------------------- |
| diskType           | string     | Read-only | The type of disk                        |
| diskMedium         | string     | Read-only | The medium of this disk                 |
| model              | string     | Read-only | The model name of this disk             |
| product            | string     | Read-only | The product string of this disk         |
| diskSerial         | string     | Read-only | The serial number of this disk          |
| firmwareVersion    | string     | Read-only | Firmware version                        |
| rotationRate       | int        | Read-only | Rotational rate (does not apply to SSD) |
| sectorSizeLogical  | int        | Read-only | Logical sector size                     |
| sectorSizePhysical | int        | Read-only | Physical sector size                    |
| size               | int        | Read-only | Disk size in bytes                      |

Table 1: HostDisk element structure

## Element relation

The HostDisk element is part of the [Host](/game-hosting/elements/host.md) element and is not used stand-alone.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/game-hosting/elements/host/hostdisk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
